petsc-3.10.5 2019-03-28
Report Typos and Errors

# KSPGMRESSetPreAllocateVectors

Causes GMRES and FGMRES to preallocate all its needed work vectors at initial setup rather than the default, which is to allocate them in chunks when needed.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPGMRESSetPreAllocateVectors(KSP ksp)

Logically Collective on KSP

### Input Parameter

ksp -iterative context obtained from KSPCreate

### Options Database Key

-ksp_gmres_preallocate -Activates KSPGmresSetPreAllocateVectors()

### Keywords

GMRES, preallocate, vectors

### See Also

KSPGMRESSetRestart(), KSPGMRESSetOrthogonalization(), KSPGMRESGetOrthogonalization()

### Level

intermediate

### Location

src/ksp/ksp/impls/gmres/gmpre.c

### Implementations

KSPGMRESSetPreAllocateVectors_GMRES in src/ksp/ksp/impls/gmres/gmres.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages